Page MenuHomePhabricator

evas/events: fix conditional for emitting source mouse move events
ClosedPublic

Authored by zmike on May 7 2020, 11:46 AM.

Details

Summary

this should match all other similar cases when determining whether to
emit the event by checking whether at least one coord has changed, not both
Depends on D11791

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.May 7 2020, 11:46 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.May 7 2020, 11:46 AM
devilhorns accepted this revision.May 8 2020, 12:03 PM
This revision is now accepted and ready to land.May 8 2020, 12:03 PM
raster added a subscriber: raster.May 9 2020, 1:24 AM

oh. nice catch!

This revision was automatically updated to reflect the committed changes.